<?php

namespace STM\Person;

use \Exception;

/**
 * Test class for PersonValidator.
 * Generated by PHPUnit on 2012-02-22 at 10:05:02.
 * @group person
 */
class PersonValidatorTest extends \PHPUnit_Framework_TestCase {

    protected function setUp() {
        PersonValidator::init();
    }

    public function testCheck_create() {
        $this->assert_method('checkCreate');
    }

    public function testCheck_club_update() {
        $this->assert_method('checkPersonUpdate');
    }

    private function assert_method($method) {
        $this->assert_bad_arguments($method, null);
        $this->assert_bad_arguments($method, new Exception());
        $this->assert_bad_arguments($method, array('forename' => 'test')); 
    }
    
    private function assert_bad_arguments($method, $data) {
        PersonValidator::init();
        parent::assertFalse(PersonValidator::$method($data));
        PersonValidator::init();
    }

}

?>
